> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockworksresearch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Charts

> Retrieve a paginated list of available charts.



## OpenAPI

````yaml /openapi.json get /v1/charts
openapi: 3.0.0
info:
  title: Blockworks API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.blockworks.com
security:
  - x-api-key: []
tags: []
paths:
  /v1/charts:
    get:
      tags:
        - Charts
      summary: List Charts
      description: Retrieve a paginated list of available charts.
      operationId: ChartsController_list
      parameters:
        - name: page
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 2147483647
            default: 1
            type: integer
        - name: limit
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 100
            default: 100
            type: integer
        - name: search
          required: false
          in: query
          schema:
            type: string
            maxLength: 255
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChartPageResponse'
        '400':
          description: Bad Request
      security:
        - x-api-key: []
components:
  schemas:
    ChartPageResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ChartResponse'
        total:
          type: integer
        page:
          type: integer
      required:
        - data
        - total
        - page
    ChartResponse:
      type: object
      properties:
        id:
          type: integer
        title:
          type: string
        dashboards:
          type: array
          items:
            type: string
      required:
        - id
        - title
        - dashboards
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````